import { SYSTEM } from "../config/system.mjs"

export default class HellbornMalefica extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}
    const requiredInteger = { required: true, nullable: false, integer: true }

    schema.description = new fields.HTMLField({ required: true, textSearch: true })

    schema.domain = new fields.StringField({ required: true, nullable: false, choices: SYSTEM.MALEFICA_DOMAINS, initial: "adfectus" })
    schema.level = new fields.StringField({ required: true, nullable: false, choices: SYSTEM.MALEFICA_LEVELS, initial: "1" })
    schema.time = new fields.StringField({ required: true, initial : "" })
    schema.range = new fields.StringField({ required: true, initial : "" })
    schema.target = new fields.StringField({ required: true, initial : "" })

    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HELLBORN.Malefica"]

}
